# Telemetry

## GET /api/historian/v3/telemetry/raw/{hid}/{sid}/{pid}/{ins}/{rid}

> Get raw telemetry data

```json
{"openapi":"3.1.0","info":{"title":"MobiusFlow® Historian Data API","version":"3.0.0"},"paths":{"/api/historian/v3/telemetry/raw/{hid}/{sid}/{pid}/{ins}/{rid}":{"get":{"summary":"Get raw telemetry data","tags":["Telemetry"],"parameters":[{"schema":{"description":"Start date and time for telemetry data","type":"string"},"in":"query","name":"start","required":true,"description":"Start date and time for telemetry data"},{"schema":{"description":"End date and time for telemetry data","type":"string"},"in":"query","name":"end","required":true,"description":"End date and time for telemetry data"},{"schema":{"description":"Limit the number of telemetry data points returned","type":"number"},"in":"query","name":"limit","description":"Limit the number of telemetry data points returned"},{"schema":{"description":"Object HID","type":"string"},"in":"path","name":"hid","required":true,"description":"Object HID"},{"schema":{"description":"Object SID","type":"string"},"in":"path","name":"sid","required":true,"description":"Object SID"},{"schema":{"description":"Object PID","type":"string"},"in":"path","name":"pid","required":true,"description":"Object PID"},{"schema":{"description":"Object INS","type":"string"},"in":"path","name":"ins","required":true,"description":"Object INS"},{"schema":{"description":"Object RID","type":"string"},"in":"path","name":"rid","required":true,"description":"Object RID"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"data":{"description":"Array of telemetry data points","type":"array","items":{"type":"object","properties":{"ts":{"type":"string"},"value":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"boolean"}]},"type":{"description":"Telemetry value","type":"string"}},"required":["ts","value","type"],"additionalProperties":false}}},"required":["ts","data"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```

## GET /api/historian/v3/telemetry/numeric/{hid}/{sid}/{pid}/{ins}/{rid}

> Get numeric telemetry data

```json
{"openapi":"3.1.0","info":{"title":"MobiusFlow® Historian Data API","version":"3.0.0"},"paths":{"/api/historian/v3/telemetry/numeric/{hid}/{sid}/{pid}/{ins}/{rid}":{"get":{"summary":"Get numeric telemetry data","tags":["Telemetry"],"parameters":[{"schema":{"description":"Interval in seconds for downsampling","type":"number"},"in":"query","name":"interval","required":true,"description":"Interval in seconds for downsampling"},{"schema":{"description":"Start date and time for telemetry data","type":"string"},"in":"query","name":"start","required":true,"description":"Start date and time for telemetry data"},{"schema":{"description":"End date and time for telemetry data","type":"string"},"in":"query","name":"end","required":true,"description":"End date and time for telemetry data"},{"schema":{"description":"Include minimum value in the response","type":"string"},"in":"query","name":"includeMin","description":"Include minimum value in the response"},{"schema":{"description":"Include maximum value in the response","type":"string"},"in":"query","name":"includeMax","description":"Include maximum value in the response"},{"schema":{"description":"Offset for within the interval for sampling values","type":"string","enum":["start","middle","end"]},"in":"query","name":"offset","description":"Offset for within the interval for sampling values"},{"schema":{"description":"Limit the number of telemetry data points returned. This will always be the most recent data points","type":"number"},"in":"query","name":"limit","description":"Limit the number of telemetry data points returned. This will always be the most recent data points"},{"schema":{"description":"Object HID","type":"string"},"in":"path","name":"hid","required":true,"description":"Object HID"},{"schema":{"description":"Object SID","type":"string"},"in":"path","name":"sid","required":true,"description":"Object SID"},{"schema":{"description":"Object PID","type":"string"},"in":"path","name":"pid","required":true,"description":"Object PID"},{"schema":{"description":"Object INS","type":"string"},"in":"path","name":"ins","required":true,"description":"Object INS"},{"schema":{"description":"Object RID","type":"string"},"in":"path","name":"rid","required":true,"description":"Object RID"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"data":{"description":"Array of telemetry data points","type":"array","items":{"type":"object","properties":{"ts":{"type":"string"},"value":{"description":"Average telemetry value for the interval","type":"number"},"min":{"description":"Minimum telemetry value for the interval","type":"number"},"max":{"description":"Maximum telemetry value for the interval","type":"number"}},"required":["ts","value"],"additionalProperties":false}}},"required":["ts","data"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```

## GET /api/historian/v3/telemetry/boolean/{hid}/{sid}/{pid}/{ins}/{rid}

> Get boolean telemetry data

```json
{"openapi":"3.1.0","info":{"title":"MobiusFlow® Historian Data API","version":"3.0.0"},"paths":{"/api/historian/v3/telemetry/boolean/{hid}/{sid}/{pid}/{ins}/{rid}":{"get":{"summary":"Get boolean telemetry data","tags":["Telemetry"],"parameters":[{"schema":{"description":"Interval in seconds for downsampling","type":"number"},"in":"query","name":"interval","required":true,"description":"Interval in seconds for downsampling"},{"schema":{"description":"Start date and time for telemetry data","type":"string"},"in":"query","name":"start","required":true,"description":"Start date and time for telemetry data"},{"schema":{"description":"End date and time for telemetry data","type":"string"},"in":"query","name":"end","required":true,"description":"End date and time for telemetry data"},{"schema":{"description":"Offset for within the interval for sampling values","type":"string","enum":["start","middle","end"]},"in":"query","name":"offset","description":"Offset for within the interval for sampling values"},{"schema":{"description":"Limit the number of telemetry data points returned. This will always be the most recent data points","type":"number"},"in":"query","name":"limit","description":"Limit the number of telemetry data points returned. This will always be the most recent data points"},{"schema":{"description":"Object HID","type":"string"},"in":"path","name":"hid","required":true,"description":"Object HID"},{"schema":{"description":"Object SID","type":"string"},"in":"path","name":"sid","required":true,"description":"Object SID"},{"schema":{"description":"Object PID","type":"string"},"in":"path","name":"pid","required":true,"description":"Object PID"},{"schema":{"description":"Object INS","type":"string"},"in":"path","name":"ins","required":true,"description":"Object INS"},{"schema":{"description":"Object RID","type":"string"},"in":"path","name":"rid","required":true,"description":"Object RID"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"data":{"description":"Array of telemetry data points","type":"array","items":{"type":"object","properties":{"ts":{"type":"string"},"value":{"description":"Average telemetry value for the interval","type":"boolean"}},"required":["ts","value"],"additionalProperties":false}}},"required":["ts","data"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```

## POST /api/historian/v3/telemetry/object/{hid}/{sid}/{pid}/{ins}

> Get telemetry data for multiple resources of an object

```json
{"openapi":"3.1.0","info":{"title":"MobiusFlow® Historian Data API","version":"3.0.0"},"paths":{"/api/historian/v3/telemetry/object/{hid}/{sid}/{pid}/{ins}":{"post":{"summary":"Get telemetry data for multiple resources of an object","tags":["Telemetry"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"rids":{"description":"Array of RIDs to get telemetry data for","type":"array","items":{"type":"string"}}},"required":["rids"]}}},"required":true},"parameters":[{"schema":{"description":"Interval in seconds for downsampling","type":"number"},"in":"query","name":"interval","required":true,"description":"Interval in seconds for downsampling"},{"schema":{"description":"Start date and time for telemetry data","type":"string"},"in":"query","name":"start","required":true,"description":"Start date and time for telemetry data"},{"schema":{"description":"End date and time for telemetry data","type":"string"},"in":"query","name":"end","required":true,"description":"End date and time for telemetry data"},{"schema":{"description":"Include minimum value in the response","type":"string"},"in":"query","name":"includeMin","description":"Include minimum value in the response"},{"schema":{"description":"Include maximum value in the response","type":"string"},"in":"query","name":"includeMax","description":"Include maximum value in the response"},{"schema":{"description":"Offset for within the interval for sampling values","type":"string","enum":["start","middle","end"]},"in":"query","name":"offset","description":"Offset for within the interval for sampling values"},{"schema":{"description":"Limit the number of telemetry data points returned. This will always be the most recent data points","type":"number"},"in":"query","name":"limit","description":"Limit the number of telemetry data points returned. This will always be the most recent data points"},{"schema":{"description":"Include resource name in the response","type":"string"},"in":"query","name":"includeName","description":"Include resource name in the response"},{"schema":{"description":"Object HID","type":"string"},"in":"path","name":"hid","required":true,"description":"Object HID"},{"schema":{"description":"Object SID","type":"string"},"in":"path","name":"sid","required":true,"description":"Object SID"},{"schema":{"description":"Object PID","type":"string"},"in":"path","name":"pid","required":true,"description":"Object PID"},{"schema":{"description":"Object INS","type":"string"},"in":"path","name":"ins","required":true,"description":"Object INS"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"data":{"description":"Array of telemetry data points","type":"array","items":{"type":"object","properties":{"ts":{"type":"string"},"resources":{"description":"Array of telemetry points for each RID","type":"array","items":{"type":"object","properties":{"rid":{"description":"Resource ID","type":"string"},"name":{"description":"Resource Name","type":"string"},"value":{"description":"Average telemetry value for the interval","anyOf":[{"type":"number"},{"type":"boolean"}]},"min":{"description":"Minimum telemetry value for the interval","type":"number"},"max":{"description":"Maximum telemetry value for the interval","type":"number"}},"required":["rid","value"],"additionalProperties":false}}},"required":["ts","resources"],"additionalProperties":false}}},"required":["ts","data"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mobiusflow.com/help/mobiusflow-v3/mobiusflow-historian-data-api-v3/telemetry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
